net.corda.core.node

## Class NodeVersionInfo

- net.corda.core.node.NodeVersionInfo

-     public class NodeVersionInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeVersionInfo(Version version, java.lang.String revision, java.lang.String vendor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Version` | `component1()`
    `java.lang.String` | `component2()`
    `java.lang.String` | `component3()`
    `NodeVersionInfo` | `copy(Version version, java.lang.String revision, java.lang.String vendor)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getRevision()`
    `java.lang.String` | `getVendor()`
    `Version` | `getVersion()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NodeVersionInfo

          public NodeVersionInfo(Version version,
                                 java.lang.String revision,
                                 java.lang.String vendor)

  - ### Method Detail

    - #### getVersion

          public Version getVersion()

    - #### getRevision

          public java.lang.String getRevision()

    - #### getVendor

          public java.lang.String getVendor()

    - #### component1

          public Version component1()

    - #### component2

          public java.lang.String component2()

    - #### component3

          public java.lang.String component3()

    - #### copy

          public NodeVersionInfo copy(Version version,
                                      java.lang.String revision,
                                      java.lang.String vendor)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)